E-Arogya - Feature #970

Create services for Radiology Equipment Master screen Design

17/07/2024 01:19 PM - Harish Beechani

Status: Resolved Start date: 17/07/2024
Priority: Normal Due date:

Assignee: Vasu Malladi % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

History

#1 - 22/07/2024 03:32 AM - Vasu Malladi

- Status changed from New to Resolved

19/04/2025
